Index: app_meetme.c
===================================================================
--- app_meetme.c	(revision 240326)
+++ app_meetme.c	(working copy)
@@ -2565,17 +2565,28 @@
 
 	if (!sent_event) {
 		ast_manager_event(chan, EVENT_FLAG_CALL, "MeetmeJoin",
-			        "Channel: %s\r\n"
-			        "Uniqueid: %s\r\n"
+				"Channel: %s\r\n"
+				"Uniqueid: %s\r\n"
 				"Meetme: %s\r\n"
 				"Usernum: %d\r\n"
 				"CallerIDnum: %s\r\n"
-			      	"CallerIDname: %s\r\n",
-			      	chan->name, chan->uniqueid, conf->confno, 
+				"CallerIDname: %s\r\n"
+				"Admin: %s\r\n"
+				"Role: %s\r\n"
+				"MarkedUser: %s\r\n"
+				"Muted: %s\r\n"
+				"Talking: %s\r\n",
+				chan->name, chan->uniqueid, conf->confno,
 				user->user_no,
 				S_OR(user->chan->cid.cid_num, "<unknown>"),
-				S_OR(user->chan->cid.cid_name, "<unknown>")
+				S_OR(user->chan->cid.cid_name, "<unknown>"),
+				ast_test_flag64(&user->userflags, CONFFLAG_ADMIN) ? "Yes" : "No",
+				ast_test_flag64(&user->userflags, CONFFLAG_MONITOR) ? "Listen only" : ast_test_flag64(&user->userflags, CONFFLAG_TALKER) ? "Talk only" : "Talk and listen",
+				ast_test_flag64(&user->userflags, CONFFLAG_MARKEDUSER) ? "Yes" : "No",
+				(user->adminflags & ADMINFLAG_MUTED) ? "By admin" : (user->adminflags & ADMINFLAG_SELFMUTED) ? "By self" : "No",
+				user->talking > 0 ? "Yes" : user->talking == 0 ? "No" : "Not monitored"
 				);
+
 		sent_event = 1;
 	}
 
@@ -4436,6 +4447,7 @@
 			"CallerIDNum: %s\r\n"
 			"CallerIDName: %s\r\n"
 			"Channel: %s\r\n"
+			"Uniqueid: %s\r\n"                            
 			"Admin: %s\r\n"
 			"Role: %s\r\n"
 			"MarkedUser: %s\r\n"
@@ -4448,6 +4460,7 @@
 			S_OR(user->chan->cid.cid_num, "<unknown>"),
 			S_OR(user->chan->cid.cid_name, "<no name>"),
 			user->chan->name,
+			user->chan->uniqueid,                            
 			ast_test_flag64(&user->userflags, CONFFLAG_ADMIN) ? "Yes" : "No",
 			ast_test_flag64(&user->userflags, CONFFLAG_MONITOR) ? "Listen only" : ast_test_flag64(&user->userflags, CONFFLAG_TALKER) ? "Talk only" : "Talk and listen",
 			ast_test_flag64(&user->userflags, CONFFLAG_MARKEDUSER) ? "Yes" : "No",
